ServerEvents.recipes((event) => {
    const recipes = [
      {
        output: "exdeorum:string_mesh",
        pattern: ["ABA", "BBB", "ABA"],
        key: {
          A: "minecraft:white_wool",
          B: "minecraft:string",
        },
        id: "exdeorum:string_mesh",
      },
      {
        output: "exdeorum:flint_mesh",
        pattern: ["ABA", "CBC", "ABA"],
        key: {
          A: "supplementaries:flint_block",
          B: "minecraft:string",
          C: "exdeorum:string_mesh",
        },
        id: "exdeorum:flint_mesh",
      }
    ];
  
    recipes.forEach((recipe) => {
      if (recipe.id) {
        event.shaped(recipe.output, recipe.pattern, recipe.key).id(recipe.id);
      } else {
        event.shaped(recipe.output, recipe.pattern, recipe.key);
      }
    });
  });
  